{% extends "base.html" %}
{% load i18n %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 col-sm-9 col-lg-6 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1 class="text-center">{% block form_title %}{% endblock form_title %}</h1>
                </div>
                <div class="card-body">
                    <form novalidate method="post">
                        {% csrf_token %}
                        <div class="form-group text-center">
                            {% block form_message %}{% endblock form_message %}
                        </div>
                        <hr>
                        <div class="d-flex justify-content-between">
                            <div>
                                <a class="btn btn-secondary {% if not request.GET.cancel and not request.GET.next %}disabled{% endif %}"
                                    href="{% firstof request.GET.cancel request.GET.next %}">
                                    <i class="fas fa-arrow-left"></i>
                                </a>
                            </div>
                            <div>
                                {% block extra_form_buttons %}{% endblock extra_form_buttons %}
                                <button type="submit" class="btn btn-danger">
                                    <i class="fas fa-trash fa-fw mr-1"></i>{% trans "Delete" %}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock content %}